@ECHO OFF
@REM #----------------------------------------------------------
@REM # Copyright FUJITSU LIMITED 2010
@REM #
@REM # Usage
@REM #   swrba_vserver_deploytool.bat
@REM #
@REM # batch action
@REM #   deploy library
@REM #----------------------------------------------------------

@REM ###########################
@REM # Check Environ
@REM ###########################
IF "%ITPM_HOME%" == "" (
	ECHO ERROR: The environment variable is not specified. ITPM_HOME
	EXIT /B 1
)

IF "%TEMP%" == "" (
	ECHO ERROR: The environment variable is not specified. TEMP
	EXIT /B 1
)

IF "%ITPM_SHARE_HOME%" == "" (
	ECHO ERROR: The environment variable is not specified. ITPM_SHARE_HOME
	EXIT /B 1
)

if not exist %ITPM_HOME%\base\config\myoconfig.ini (
	ECHO ERROR: File not exist. %ITPM_HOME%\base\config\myoconfig.ini
	EXIT /B 1
)

if not exist %TEMP%\. (
	ECHO ERROR: Directory not exist. %TEMP%
	EXIT /B 1
)

if not exist swrba_tmplate_vserver_tool_library.zip (
	ECHO ERROR: File not exist. swrba_tmplate_vserver_tool_library.zip
	EXIT /B 1
)


IF "%JAVA_HOME%" == "" (
	ECHO ERROR: The environment variable is not specified. JAVA_HOME
	EXIT /B 1
)

@REM ###########################
@REM It backs up. 
@REM ###########################
%JAVA_HOME%\bin\jar.exe xf swrba_tmplate_vserver_tool_library.zip  || GOTO ERROR_END

copy swrba_vserver.rb          %ITPM_HOME%\RBAOPE\bin\parts\guest\E0\lib\swrba_vserver.rb  > nul || GOTO ERROR_END
copy swrba_protocol_ex.rb      %ITPM_HOME%\RBAOPE\bin\parts\guest\E0\lib\swrba_protocol_ex.rb  > nul || GOTO ERROR_END
copy swrba_vserver_msgdef.rb   %ITPM_HOME%\RBAOPE\bin\parts\guest\E0\lib\swrba_vserver_msgdef.rb  > nul || GOTO ERROR_END
copy swrba_vserverlist.rb      %ITPM_HOME%\RBAOPE\bin\parts\guest\E0\lib\swrba_vserverlist.rb  > nul || GOTO ERROR_END

del /F swrba_vserver.rb
del /F swrba_protocol_ex.rb
del /F swrba_vserver_msgdef.rb 
del /F swrba_vserverlist.rb

EXIT /B 0

:ERROR_END
    echo error occured.
    EXIT /B 1








