#!/usr/bin/ruby

require 'kconv'
require 'standard/swrba_logger'           # Logger Class
require 'standard/swrba_def'              # Common Definition Class
require 'standard/swrba_input'            # Input Information File Analysis Class
require 'swrba_vserverlist'               # List Vserver Class

#=Combination ROR
#Version::   1.0
#Copyright:: Copyright (C) FUJITSU LIMITED 2010.
#
#=== Function Contents
#* get Virtual Server list
#

# Const value



# Logger Class Instance
logger = Swrba_Logger.new("swrba_vserver_start", Swrba_Def::SWRBA_FILE_LOG)
logger.warn(":[begin]")

# Input Information File Analysis Class
input = Swrba_Input.new

# Initialize
option = []

# Get Option Information
while data = ARGV.shift
  option.push(data)
end

# Check Parameter Number
if option.size != 2
  logger.warn("parameter check error")
  logger.warn(":[error]")
  exit Swrba_Def::ERROR_ARGUMENT
end

# Check Option Form
if option[0] != "-input"
  logger.warn("option check error")
  logger.warn(":[error]")
  exit Swrba_Def::ERROR_ARGUMENT
end

# Check File Exist
if File.exist?(option[1]) == false
  logger.warn("file exist error")
  logger.warn(":[error]")
  exit Swrba_Def::ERROR_ARGUMENT
end

# Input File Name
logger.warn("Input File Name = " + option[1])


# Get Virtual server list
vserverlist = nil
vserverlist = Swrba_Vserverlist.new(Swrba_Vserver::SWRBA_KIND_LIST)
begin
	vserver_list = nil
	vserver_list = vserverlist.getVserverlist
rescue => exc
	logger.warn(exc)
	logger.warn(":[getVserverlist error]")
	STDERR.puts vserverlist.err_msg.toutf8
	exit vserverlist.return_code
end


# Successful
STDOUT.print vserver_list.toutf8
STDERR.puts vserverlist.err_msg.toutf8
logger.warn(":[end]")

exit Swrba_Def::NORMAL_CODE

